Bug 206205 - devel/phpunit: Update to 5.1.0
Summary: devel/phpunit: Update to 5.1.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Martin Wilke
URL:
Keywords: easy, patch, patch-ready
Depends on:
Blocks:
 
Reported: 2016-01-13 15:17 UTC by Torsten Zühlsdorff
Modified: 2016-01-15 06:34 UTC (History)
2 users (show)

See Also:


Attachments
patch with update to 5.1.0 (914 bytes, patch)
2016-01-13 15:17 UTC, Torsten Zühlsdorff
ports: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Torsten Zühlsdorff 2016-01-13 15:17:30 UTC
Created attachment 165501 [details]
patch with update to 5.1.0

Hello,

attached a patch to update the port to its current version.

portline complains about conflict php5-* is too broad, but i ignored this, because this is how the old unsupported PHP port is named. ;)

poudriere build fine for:
9.3 amd + i386
10.1 amd + i386
10.2 amd + i386
11-current r293820 amd + i386

runtime test through executing some testcases where done.

Greetings,
Torsten
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2016-01-13 15:26:06 UTC
@Tosten, you forgot to set maintainer-approval on the attachment to +
Comment 2 Torsten Zühlsdorff 2016-01-13 15:27:12 UTC
Comment on attachment 165501 [details]
patch with update to 5.1.0

I'm sorry, here it is :)
Comment 3 beckman 2016-01-13 22:25:54 UTC
What is required to get this patch approved? How can I help?
Comment 4 Kubilay Kocak freebsd_committer freebsd_triage 2016-01-14 08:58:38 UTC
(In reply to beckman from comment #3)

It's ready go, just waiting on a committer to pick it up
Comment 5 commit-hook freebsd_committer 2016-01-15 06:34:04 UTC
A commit references this bug:

Author: miwi
Date: Fri Jan 15 06:33:56 UTC 2016
New revision: 406137
URL: https://svnweb.freebsd.org/changeset/ports/406137

Log:
  - Update to 5.1.0

  PR:		206205
  Submitted by:	maintainer

Changes:
  head/devel/phpunit/Makefile
  head/devel/phpunit/distinfo